ServerEvents.recipes((event) => {
  // =========================================
  // Pretty Pipes Recipes
  // =========================================

  // Mainly just doing some overall ingredient swaps

  event.replaceInput(
    { mod: "prettypipes" },
    "#forge:ingots/copper",
    "#forge:ingots/nickel"
  );
  event.replaceInput(
    { mod: "prettypipes" },
    "minecraft:iron_bars",
    ["create_dd:rubber", "thermal:cured_rubber"]
  );
  event.replaceInput(
    { mod: "prettypipes" },
    "#forge:ingots/iron",
    "#forge:ingots/tin"
  )
  event.replaceInput(
    { mod: "prettypipes" },
    "#forge:storage_blocks/iron",
    "#forge:storage_blocks/tin"
  )
  event.replaceInput(
    { mod: "prettypipes" },
    "#forge:dusts/redstone",
    "#forge:gems/ruby"
  );
  event.replaceInput(
    { mod: "prettypipes" },
    "#forge:storage_blocks/redstone",
    "#forge:storage_blocks/ruby"
  );
  event.replaceInput(
    { mod: "prettypipes" },
    "#forge:gems/diamond",
    "#forge:gems/sapphire"
  );
  event.replaceInput(
    { mod: "prettypipes" },
    "#forge:ingots/gold",
    "#forge:ingots/electrum"
  );
  event.replaceInput(
    { mod: "prettypipes" },
    "#forge:gems/quartz",
    "alexscaves:caramel_sheet"
  );
});
